#define LOW		0
#define HI		1
#define BUSY	2

int DRV_SwitchVref (struct RegisterAxis *axis, u32 *tick);

#define NORM	0
#define WARNING 1
#define ALARM	2
int DRV_TestValue (u32 volatile *value, u16 warning, u16 alarm);
void DRV_SetEncoder (u32 value);
u32 DRV_GetEncoder (void);

#define STEP_256	1
#define STEP_128	2
#define STEP_64		4
#define STEP_32		8
#define STEP_16		16
#define STEP_8		32
#define STEP_4		64
#define STEP_2		128

#define SW_POSITION	128
#define KI_RA		2

void DRV8813_Init (void);
u16 DRV8813_Step_RA (u16 mode_step);
void DRV8813_Dir_RA (u8 dir);
